## Class Zeichenblatt

    java.lang.Object
      Zeichenblatt

    public class Zeichenblatt

extends java.lang.Object

Constructor Summary
`Zeichenblatt()` Konstruktor für ein Zeichenblatt "Malerei" mit fester Größe

Method Summary
`void` | `main()` Hauptmethode - diese muss zuerst aufgerufen werden, bevor das Programm in seiner gewünschten Form mit den Buttons gesteuert werden kann
`void` | `regenFaellt()` Methode, welche die "Wolke" aus 25 Regentropfen gleichmäßig nach unten fallen lässt Tropfen werden im Feld regen[] verwaltet, sie bestehen jeweils aus einem übereinander gezeichneten Dreieck und einem Kreis "Wolke" wird an ihrer aktuellen Position gelöscht, dann wird alles neu gezeichnet, "Es regnet!"
`void` | `regenStart()` Methode zur Erzeugung einer neuen "Wolke" aus 25 Regentropfen am oberen Ende des Zeichenblattes Tropfen werden im Feld regen[] verwaltet, sie bestehen jeweils aus einem übereinander gezeichneten Dreieck und einem Kreis
`void` | `schreibeStatus(java.lang.String text)` Methode zur Textausgabe in einem JLabel
`void` | `wachsen()` Methode zum Wachsen des Rasens (50 grüne bzw. gelbe Halme unterschiedlicher Größe) Halme werden im Feld rasen[] verwaltet, sie bestehen jeweils aus einem Dreieck, dessen eine Seite die Länge 1 besitzt

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Zeichenblatt

    public Zeichenblatt()

  Konstruktor für ein Zeichenblatt "Malerei" mit fester Größe

Method Detail

### main

    public void main()

  Hauptmethode - diese muss zuerst aufgerufen werden, bevor das Programm in seiner gewünschten Form mit den Buttons gesteuert werden kann

  Parameters:
    `programmlauf` - solange der Wert TRUE ist, läuft das Programm in einer Dauerschleife (boolean) - wird durch Drücken des ENDE-Buttons auf FALSE gesetzt
    `regenguss` - löst mit Wert TRUE, der über den Regen-Button gesetzt wird einen Regenguss aus - wird anschließend auf FALSE zurückgesetzt (boolean)

### regenFaellt

    public void regenFaellt()

  Methode, welche die "Wolke" aus 25 Regentropfen gleichmäßig nach unten fallen lässt Tropfen werden im Feld regen[] verwaltet, sie bestehen jeweils aus einem übereinander gezeichneten Dreieck und einem Kreis "Wolke" wird an ihrer aktuellen Position gelöscht, dann wird alles neu gezeichnet, "Es regnet!" ausgegeben und schließlich die "Wolke" nach unten verschoben und neu gezeichnet

  Parameters:
    `j` - Schritt auf dem Weg nach unten (int)
    `i` - Tropfennummer (int)

### regenStart

    public void regenStart()

  Methode zur Erzeugung einer neuen "Wolke" aus 25 Regentropfen am oberen Ende des Zeichenblattes Tropfen werden im Feld regen[] verwaltet, sie bestehen jeweils aus einem übereinander gezeichneten Dreieck und einem Kreis

  Parameters:
    `i` - Tropfennummer (int)

### schreibeStatus

    public void schreibeStatus(java.lang.String text)

  Methode zur Textausgabe in einem JLabel

  Parameters:
    `text` - Text (String), der angezeigt werden soll

### wachsen

    public void wachsen()

  Methode zum Wachsen des Rasens (50 grüne bzw. gelbe Halme unterschiedlicher Größe) Halme werden im Feld rasen[] verwaltet, sie bestehen jeweils aus einem Dreieck, dessen eine Seite die Länge 1 besitzt

  Parameters:
    `i` - Halmnummer (int)